org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Enum MetricDefinition.RetryResult

- java.lang.Object
- - java.lang.Enum<MetricDefinition.RetryResult>
  - - org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricDefinition.RetryResult

All Implemented Interfaces:
  Serializable, Comparable<MetricDefinition.RetryResult>, MetricDefinition.TagValue

Enclosing class:
  MetricDefinition

    public static enum MetricDefinition.RetryResult
    extends Enum<MetricDefinition.RetryResult>
    implements MetricDefinition.TagValue

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXCEPTION_NOT_RETRYABLE`
`MAX_DURATION_REACHED`
`MAX_RETRIES_REACHED`
`VALUE_RETURNED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.metrics.Tag` `getTag()`
`static MetricDefinition.RetryResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetricDefinition.RetryResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALUE_RETURNED

    public static final MetricDefinition.RetryResult VALUE_RETURNED

#### EXCEPTION_NOT_RETRYABLE

    public static final MetricDefinition.RetryResult EXCEPTION_NOT_RETRYABLE

#### MAX_RETRIES_REACHED

    public static final MetricDefinition.RetryResult MAX_RETRIES_REACHED

#### MAX_DURATION_REACHED

    public static final MetricDefinition.RetryResult MAX_DURATION_REACHED

### Method Detail

#### values

    public static MetricDefinition.RetryResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetricDefinition.RetryResult c : MetricDefinition.RetryResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetricDefinition.RetryResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getTag

    public org.eclipse.microprofile.metrics.Tag getTag()

Specified by:
  `getTag` in interface `MetricDefinition.TagValue`